<?php
session_start(); 
////
/// Resultado de la accion de un pc
///

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);


header("Content-Type: resultado/json");

//------------------------------------------------ Prepara la primera pantalla -----------------------------------------------------------------------------------------
$view='jsonfiles/resultado.json';

$data1=array();
$grid=array();
$output = array();
$pic=$_GET["pic"];
$data1['pic']=$pic;

$config = require ('config.php');
$conexion=$config['conexion']; 
$rutafotos=$config['rutafotos']; 
$data1['url']= $config['URL'];  
$data1['extjs']='jscss/resultado.js?'.trim(date_timestamp_get(date_create()));
$data1['rutafotos'] = $rutafotos;

$conn = pg_pconnect("$conexion");

cargadatos($conn,$pic,$rutafotos);
$output = array('data' => $data1, 'view' => $view, 'screen' => 'fmt01');

utf8_encode_deep($output);
echo  json_encode($output);	

// 
function cargadatos($conn,$pic,$rutafotos) {

global $data1;	

$sql="select zona,tienda,soporte,referencia,des_referencia,momento_inicio,divisor,total_fotos from peticiones where pic='$pic'";
$result = pg_query($conn, $sql);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	
	$zona=$row['zona'];
	$des_referencia=$row['des_referencia'];
	$ref=$row['referencia'];
	$tienda=$row['tienda'];
	$soporte=$row['soporte'];
	$minicio = substr($row['momento_inicio'],8,2).'-'.substr($row['momento_inicio'],5,2).'-'.substr($row['momento_inicio'],0,4).' '.substr($row['momento_inicio'],11,8);
	$ref="$ref $des_referencia Inicio: $minicio";
	$postienda="$zona Tienda $tienda Soporte: $soporte";
	$tfotos=$row['total_fotos'];
	$divisor=$row['divisor'];
	$imagen=$rutafotos.'/C'.$pic.'_0.jpg';
	

}		

$data1['divisor'] = $divisor;
$data1['tfotos'] = $tfotos;
$data1['ref'] = $ref;
$data1['postienda'] = $postienda;
$data1['imagen'] = $imagen;


pg_free_result($result);
pg_close($conn);

}

function utf8_encode_deep(&$input) {
	
	if (is_string($input)) {
		$input = utf8_encode($input);
	} else if (is_array($input)) {
		foreach ($input as &$value) {
			utf8_encode_deep($value);
		}
		
		unset($value);
	} else if (is_object($input)) {
		$vars = array_keys(get_object_vars($input));
		
		foreach ($vars as $var) {
			utf8_encode_deep($input->$var);
		}
	}
}


?>